<?php
/**
 * Remplir les caches en cron
 *
 */
require __DIR__ . '/../../vendor/autoload.php';
use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Factory\AppFactory;
use InfluxDB2\Client;
use InfluxDB2\Model\WritePrecision;
use InfluxDB2\Point;
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
header_authorize_script($config);
include ("conf.inc.php");
include ("auth.inc.php");
include ("stats_serveurs_se4.inc.php");
include ("stats_serveurs_pve.inc.php");
include ("alertes.inc.php");
include ("sites.inc.php");

/*
 * mise à jour du geojson avec les infos de CPU/RAM
 */
update_servers_conf();
/*
 * On charge tous les caches
 */
load_servers_conf();
alertes($config);
liste_alertes($config);
allLastStats($config);
allLastStatsPVE($config);
AllStatsSauvegardes($config);
allLastStatsPBS($config);
allLastStatsVM($config);
maxUserOnline($config);
/*
 * Courbes du tableau de bord
 */
StatsServeur($config, "NbUsersConnected", "all", 1);
StatsServeur($config, "NbUsersConnected", "all", 5);
StatsServeur($config, "NbUsersConnected", "all", 7);
StatsServeur($config, "NbUsersConnected", "all", 30);
/*
 *
 * Toutes les courbes des serveurs actifs
 *
 */
$ServersConfArray = ServersConfArray();
foreach ($ServersConfArray as $cle => $valeur) {
    if (($valeur['etat'] != "inactif") && (($valeur['etat'] != "provisionning"))) {
        $host = $valeur['uai'];
        /*
        StatsServeur($config, "Ram", $host);
        StatsServeur($config, "NbUsersConnected", $host);
        StatsServeur($config, "CPU", $host);
        StatsServeur($config, "disks", $host);
        StatsServeur($config, "nbUsersActivated", $host);
        StatsServeur($config, "Ram", $host, 1);
        StatsServeur($config, "NbUsersConnected", $host, 1);
        StatsServeur($config, "CPU", $host, 1);
        StatsServeur($config, "disks", $host, 1);
        StatsServeur($config, "nbUsersActivated", $host, 1);
        StatsServeur($config, "Ram", $host, 7);
        StatsServeur($config, "NbUsersConnected", $host, 7);
        StatsServeur($config, "CPU", $host, 7);
        StatsServeur($config, "disks", $host, 7);
        StatsServeur($config, "nbUsersActivated", $host, 7);
        StatsServeur($config, "Ram", $host, 30);
        StatsServeur($config, "NbUsersConnected", $host, 30);
        StatsServeur($config, "CPU", $host, 30);
        StatsServeur($config, "disks", $host, 30);
        StatsServeur($config, "nbUsersActivated", $host, 30);
        */
        maxUserOnline($config, $host);
    }
}

?>