<?php
require_once ("../includes/config.inc.php");
require_once ("../includes/ldap.inc.php");
require_once ("../includes/functions.inc.php");
/*
 * Includes du central
 *
 */
include ("conf.inc.php");
include ("auth.inc.php");
include ("stats_serveurs_se4.inc.php");
include ("central_ui.inc.php");
$config = get_config();
$_SESSION['username'] = "";
session_unset();
session_destroy();
session_write_close();
setcookie(session_name(), '', 0, '/');
close_session();
session_regenerate_id(true);
session_name("Central95");
session_start();
/*
 * Après authentification en cas de session expiré,
 * on renvoie la page initiale
 */
$page = $_GET['page'] ?? "index.php";
?>

<!DOCTYPE html>
<html lang="fr">

<head>

<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="description" content="">
<meta name="author" content="">

<title>
    <?php echo $config['CentralTitle']; ?>
    </title>

<!-- Custom fonts for this template-->
<link href="../vendor/fortawesome/font-awesome/css/all.min.css"
	rel="stylesheet" type="text/css">

<!-- Custom styles for this template-->
<link href="css/sb-admin-2.css" rel="stylesheet">

<style type='text/css'>
.bg-login-image {
  background-image : url("<?php echo $config['central_uri']; ?>/central/img/vdo.png") !important;
  background-size : 80% 80%;
  background-repeat: no-repeat;
}
</style>

</head>

<body class="bg-gradient-primary">

	<div class="container">

		<!-- Outer Row -->
		<div class="row justify-content-center">

			<div class="col-xl-10 col-lg-12 col-md-9">

				<div class="card o-hidden border-0 shadow-lg my-5">
					<div class="card-body p-0">
						<!-- Nested Row within Card Body -->
						<div class="row">
							<div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
							<div class="col-lg-6">
								<div class="p-5">
									<div class="text-center">
										<h1 class="h4 text-gray-900 mb-4">Bienvenue</h1>
									</div>

									<form class="user" action="<?php echo $page; ?>" method="post">

										<div class="form-group">
											<input type="text" class="form-control form-control-user"
												id="username" name="username" aria-describedby="emailHelp"
												placeholder="utilisateur">
										</div>

										<div class="form-group">
											<input type="password" class="form-control form-control-user"
												id="password" name="password" placeholder="Mot de passe">
										</div>

										<input type="submit" value="Se connecter"
											class="btn btn-primary btn-user btn-block">
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>

	</div>

	<!-- Bootstrap core JavaScript-->
	<script src="js/jquery/jquery.min.js"></script>
	<script src="js/bootstrap/js/bootstrap.bundle.min.js"></script>

	<!-- Core plugin JavaScript-->
	<script src="js/jquery-easing/jquery.easing.min.js"></script>

	<!-- Custom scripts for all pages-->
	<script src="js/sb-admin-2.min.js"></script>

</body>

</html>