<?php

function auns($config, $ServersConfArray, &$html)
{
    $GET_TRASH = $_GET['trash'] ?? "";
    if ($GET_TRASH != "") {
        remove_provisionning($GET_TRASH);
        $ServersConfArray = ServersConfArray();
    }
    // traitement de l'envoi du formulaire
    $html_retour_form = "";
    $UAI_2ACTIVATE = $_POST['UAI_2ACTIVATE'] ?? "";
    if (is_array($UAI_2ACTIVATE)) {
        $html_retour_form = "<ul>";
        foreach ($UAI_2ACTIVATE as $key => $value) {
            $html_retour_form .= "<li>Provisionnement du site $value (" . NomDepuisUAI($value) . ")</li>";
            server_provisionning($value);
        }
        $html_retour_form .= "</ul>";
        $ServersConfArray = ServersConfArray();
    }

    // Liste des serveurs inactifs.
    // pour fabrication du formulaire
    // $ServerChoice
    // et pour la liste des sites en "provisionning"
    // $ServerToActivate
    $ServerChoice = "";
    $ServerToActivate = "";
    $GET_UAI = $_GET['uai'] ?? "";
    foreach ($ServersConfArray as $cle => $valeur) {
        if ($valeur['etat'] == "inactif") {
            $SELECTED = "";
            if ($GET_UAI == $valeur['uai']) {
                $SELECTED = "SELECTED";
            }
            $ServerChoice .= '<option value="' . $valeur['uai'] . '" ' . $SELECTED . '>' . $valeur['uai'] . ' (' . $valeur['name'] . ')</option>';
        } elseif ($valeur['etat'] == "provisionning") {
            $ServerToActivate .= '<tr><th class="text-xs">' . $valeur['uai'] . ' (' . $valeur['name'] . ')
								</th><th>
                        <a href="?page=auns&trash=' . $valeur['uai'] . '" class="btn btn-danger btn-circle btn-sm">
                                        <i class="fas fa-trash"></i>
                                    </a>
                                    </th></tr>';
        }
    }

    if ("$ServerToActivate" == "") {
        $html_Server2Activate = '
Aucun site à installer pour le moment.
            
Vous devez au préalable provisionner un site.';
    } else {
        $html_Server2Activate = '<div class="table-responsive text-xs">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0" >
                                    <thead>
                                        <tr class="text-xs">
                                            <th>Établissement</th>
                                            <th class="text-xs">Supprimer la demande d\'activation</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr class="text-xs">
                                            <th>Établissement</th>
                                            <th>Supprimer la réservation</th>
                                        </tr>
                                    </tfoot>
                                    <tbody>';
        $html_Server2Activate .= "$ServerToActivate";
        $html_Server2Activate .= '</tbody>
                                </table>
                            </div>';
    }
    $html .= '<div class="d-sm-flex align-items-center justify-content-between mb-4">
				<h1 class="h3 mb-0 text-gray-800">Provisionner un site</h1>
			   </div>
			   <div class="row">';

    $content = ' ' . $html_retour_form . '
                                <form action="" method="post">
                                        <select name="UAI_2ACTIVATE[]" multiple size="10">
                                        ' . $ServerChoice . '
                                        </select>
                                    <div class="my-2"></div>
                                    <button type = "submit" class="btn btn-primary btn-icon-split btn-lg">
                                        <span class="icon text-white-50">
                                            <i class="fas fa-flag"></i>
                                        </span>
                                        <span class="text">Provisionner de nouveaux sites.</span>
                                    </button>
                                </form>';
    $html .= html_box_card(6, 1, 1, "Provisionner un ou plusieurs nouveau(x) site(s).", $content);

    $content = $html_Server2Activate;

    $html .= html_box_card(6, 1, 1, "Sites en attente d'activation", $content);
    $html .= '</div>';

    rauns($config, $ServersConfArray, $html); // Réactivation des sites
}

/*
 * Réactivation d'un nouveau site
 * ou tout réactivé
 */
function rauns($config, $ServersConfArray, &$html)
{
    $etab2React = $_POST['etab2react'] ?? "";
    $toutReactiver = $_POST['ToutReactiver'] ?? false;

    $html .= '<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Provisionner à nouveau des sites</h1>
                    </div>';
    $html .= '<div class="row">';

    $content = '<form
                        class="d-none d-sm-inline-block form-inline mr-auto ml-md-2 my-2 my-md-2 mw-100 navbar-search"
                        method="post" action="index.php?page=auns">
                        <div class="input-group rounded-bar">
                            <input type="text" class="form-control bg-light border-0
                                small" placeholder="Activer à nouveau"
                                aria-label="Search" aria-describedby="basic-addon2"
                                list="ListEtab"
                                autocomplete="off"
                                name="etab2react"
                                >
                            <div class="input-group-append">
								<button class="btn btn-primary" type="submit">
                                    <i class="fas  fa-check-double"></i>
                                </button>
                            </div>
                        </div>
                    </form>';
    if (! empty($etab2React)) {
        $etabName = etab_to_name(get_config($config, true, $etab2React), $etab2React) ?? "";
        if (! empty($etabName)) {
            $content .= "<ul><li>";
            $content .= "Réactivation de l'établissement $etab2React - $etabName ";
            activate_etab($config, $etab2React, true);
            $content .= "</li></ul>";
        }
    }
    $html .= html_box_card(6, 1, 1, "Réactiver un site", $content);
    $content = '<form
                        class="d-none d-sm-inline-block form-inline mr-auto ml-md-2 my-2 my-md-2 mw-100 navbar-search"
                        method="post" action="index.php?page=auns">
                        <div class="input-group rounded-bar">
                            <div class="input-group-append">
								<input name ="ToutReactiver"  type ="hidden" value="true">
								<button class="btn btn-primary" type="submit">
								Activer à nouveau tous les sites
                                </button>
                            </div>
                        </div>
                    </form>';

    if ($toutReactiver) {
        $content .= "<ul>";
        foreach ($ServersConfArray as $cle => $valeur) {
            $content .= "<li>Provisionnement du site " . $valeur['uai'] . "</li>"; // (" . NomDepuisUAI($valeur['uai']) . ")</li>";
                                                                                   // activate_etab($config, $valeur['uai'], true);
        }
        $content .= "</ul>";
    }

    $html .= html_box_card(6, 1, 1, "Réactiver tous les sites", $content);
    $html .= '</div>';
}

?>