<?php

function auth($user, $pass)
{
    $config = get_config();
    if (user_valid_passwd($config, $user, $pass) && (have_right($config, SE_ADMIN, $user) || have_right($config, SE_USER_ADMIN, $user))) {
        $_SESSION['passwd'] = $pass;
        return true;
    } else {
        return false;
    }
}

/**
 * Renvoie sur la page de login avec
 * la page appelée initialement
 *
 * @param
 *            $config
 * @param string $page
 */
function login($config, $page = "")
{
    $_SESSION['username'] = "";
    $page = urlencode(explode("/", $page)[2]);
    header("Location: " . $config['central_uri'] . "/central/login.php?page=$page");
    exit();
}
?>