<?php

function eds($config, $ServersConfArray, &$html)
{
    $ServerChoice = "";
    foreach ($ServersConfArray as $cle => $valeur) {
        if ($valeur['etat'] == "actif") {
            $DefaultUAI = strtolower($valeur['uai']);
            $ServerChoice .= '<a class="dropdown-item" href="?page=eds&host=' . $valeur['uai'] . '">PVE ' . $valeur['uai'] . ' (' . $valeur['name'] . ')</a>';
        }
    }
    $host = $_GET['host'] ?? $DefaultUAI;
    $name = NomDepuisUAI($host);

    $html = '<div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h4 mb-0 text-gray-800">État des sauvegardes de ' . $host . ' (' . $name . ')</h1>';
    $html .= '<nav class="navbar navbar-expand navbar-light bg-light mb-4">

                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item dropdown">
                                <a class="nav-link text-primary dropdown-toggle" href="#" id="navbarDropdown"
                                    role="button" data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false">
                                    Choix du serveur
                                </a>
                                <div class="dropdown-menu dropdown-menu-right animated--grow-in"
                                    aria-labelledby="navbarDropdown">' . $ServerChoice . '</div>
                            </li>
                        </ul>
                    </nav>
                    </div>';

    // état Sauvegardes du host
    $html .= '<div class="row">';
    [
        $NbSVG,
        $LastSVG,
        $sizeSVG
    ] = Sauvegardes($config, $host);
    if (("$NbSVG") && ("$LastSVG") && ($sizeSVG)) {
        $formatDate = "d M à H:i";
        $LastSVG = date($formatDate, $LastSVG);
        $sizeSVG = round($sizeSVG / (10 ** 12), 2);
        $content = "$LastSVG / $sizeSVG Go";
    } else {
        $content = "";
    }
    $titre = "Dernière sauvegarde / Taille";
    $html .= html_box(6, 6, 4, "success", $titre, $content, "fas  fa-tachometer-alt fa-2x");
    $titre = "Nombre de sauvegardes";
    $content = "$NbSVG";
    $html .= html_box(6, 6, 4, "success", $titre, $content, "fas  fa-microchip fa-2x");
    $html .= "</div>";

    // État du serveur de stockage PBS
    $html .= '<div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h4 mb-0 text-gray-800">État du serveur de sauvegarde</h1>
                </div>';
    $allLastStats = allLastStatsPBS($config);
    $blockstatTotal = round($allLastStats[$config['pbs_host']]['total'] / (10 ** 12), 2);
    $blockstatUsed = round($allLastStats[$config['pbs_host']]['used'] / (10 ** 12), 2);
    $blockstatPrc = $blockstatUsed / $blockstatTotal * 100;
    $html .= '<div class="row">';
    $content = "";
    $titre = "Stockage";
    $content = $blockstatUsed . " To" . " / " . $blockstatTotal . " To";
    // Barre de progression
    $content .= '<div class="progress progress-sm mr-2">
                         <div class="progress-bar bg-info" role="progressbar"
                            style="width:' . $blockstatPrc . '%"
                            aria-valuenow="' . $blockstatPrc . '"
                            aria-valuemin="0"
                            aria-valuemax="100"></div>
                          </div>';
    $html .= html_box(6, 6, 4, "success", $titre, $content, "fas  fa-archive   fa-2x");
    $titre = " ------ ";
    $content = "";
    $html .= html_box(6, 6, 4, "success", $titre, $content, "fas  fa-microchip fa-2x");
    $html .= "</div>";
}
?>